View all methods

catalog.entities.list

List entities from your software catalog.

Facts

Method GET https://api.getdx.com/catalog.entities.list
Required scope catalog:read

Arguments

Required arguments

Name Type Description
token Token Auth token passed as an HTTP header.

Optional arguments

Name Type Description
cursor String Cursor used to request the next page. Can be found in prior request via response_metadata.next_cursor.
limit Integer Limit the number of entities per page. Defaults to 50.
type String Limit the entities to just one type in the list.
search_term String Return entities for which the name, identifier, squad owner name, and/or user owner name matches or partially matches the search term.

Example request

This is a typical request:

curl -X GET 'https://api.getdx.com/catalog.entities.list?cursor=xuvkgfq9t0ty&limit=1' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "entities": [
    {
      "identifier": "payment-processing",
      "created_at": "2025-01-02 20:48:45.77969",
      "updated_at": "2025-01-02 20:48:45.77969",
      "description": "Service to handle all payment processing",
      "owner_teams": [{ "id": "MTJ2", "name": "Payments" }],
      "properties": {
        "Language": ["JavaScript", "TypeScript", "HTML"],
        "Architecture Approved": true,
        "Tier": "Tier-1"
      },
      "aliases": {
        "github_repo": [
          {
            "identifier": "671150935",
            "name": "get-dx/payment-processing"
          }
        ]
      }
    }
  ],
  "response_metadata": {
    "next_cursor": "avsgf30ccan3"
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.
invalid_arguments One or more of the arguments provided is invalid.
invalid_entity_type The entity type provided via the type paramater is invalid.

Legacy path

This method is temporarily still available at the following legacy path:

GET https://api.getdx.com/entities.list